PETSc version 3.17.4
Fix/Edit manual page

# TAOBQNLS

Bounded Quasi-Newton Line Search method for nonlinear minimization with bound constraints. This method approximates the action of the inverse-Hessian with a limited memory quasi-Newton formula. The quasi-Newton matrix and its options are accessible via the prefix `-tao_bqnls_`

### Option Database Keys

| -tao_bnk_max_cg_its | - maximum number of bounded conjugate-gradient iterations taken in each Newton loop
| -tao_bnk_as_type | - active-set estimation method ("none", "bertsekas")
| -tao_bnk_epsilon | - (developer) tolerance for small pred/actual ratios that trigger automatic step acceptance
| -tao_bnk_as_tol | - (developer) initial tolerance used in estimating bounded active variables (-as_type bertsekas)
| -tao_bnk_as_step | - (developer) trial step length used in estimating bounded active variables (-as_type bertsekas)

### See Also

TAOBNK

### Level

beginner

### Location

src/tao/bound/impls/bqnls/bqnls.c

### Examples

src/ts/tutorials/ex20opt_p.c.html
src/tao/unconstrained/tutorials/rosenbrock3.c.html
src/tao/unconstrained/tutorials/spectraladjointassimilation.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages